FIX::UtcTimeStampField Class Reference

Field that contains a UTC time stamp value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcTimeStampField:
[legend]
Collaboration diagram for FIX::UtcTimeStampField:
[legend]

## Public Member Functions

| UtcTimeStampField (int field, const UtcTimeStamp &data, int precision=0)
| UtcTimeStampField (int field, int precision=0)
void | setValue (const UtcTimeStamp &value)
UtcTimeStamp | getValue () const throw ( IncorrectDataFormat )
| operator UtcTimeStamp () const
bool | operator< (const UtcTimeStampField &rhs) const
bool | operator== (const UtcTimeStampField &rhs) const
bool | operator!= (const UtcTimeStampField &rhs) const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int tag, const std::string &string)
virtual | ~FieldBase ()
| FieldBase (const FieldBase &rhs)
FieldBase & | operator= (const FieldBase &rhs)
void | swap (FieldBase &rhs)
void | setTag (int tag)
void | setField (int field)
void | setString (const std::string &string)
int | getTag () const
| Get the fields integer tag. More...
int | getField () const
const std::string & | getString () const
| Get the string representation of the fields value. More...
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH]. More...
size_t | getLength () const
| Get the length of the fields string representation. More...
int | getTotal () const
| Get the total value the fields characters added together. More...
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers. More...

## Detailed Description

Field that contains a UTC time stamp value.

Definition at line 460 of file Field.h.

## Constructor & Destructor Documentation

## UtcTimeStampField() [1/2]

FIX::UtcTimeStampField::UtcTimeStampField | ( | int | field,
|  | const UtcTimeStamp & | data,
|  | int | precision = `0`
| ) |  |

inline explicit

Definition at line 463 of file Field.h.

{ return getValue() == rhs.getValue(); }

References getValue().

## UtcTimeStampField() [2/2]

FIX::UtcTimeStampField::UtcTimeStampField | ( | int | field,
|  | int | precision = `0`
| ) |  |

inline

Definition at line 465 of file Field.h.

{ return getValue() != rhs.getValue(); }

References getValue().

## Member Function Documentation

## getValue()

UtcTimeStamp FIX::UtcTimeStampField::getValue | ( |  | ) | const
throw | ( | IncorrectDataFormat
| ) |  |

inline

Definition at line 470 of file Field.h.

: public FieldBase
{
public:
explicit UtcDateField( int field, const UtcDate& data )
: FieldBase( field, UtcDateConvertor::convert( data ) ) {}

References FIX::UtcDateConvertor::convert(), FIX::FieldBase::FieldBase(), and FIX::UtcDateField::UtcDateField().

Referenced by UtcTimeStampField().

## operator UtcTimeStamp()

FIX::UtcTimeStampField::operator UtcTimeStamp | ( |  | ) | const

inline

Definition at line 475 of file Field.h.

: FieldBase( field, UtcDateConvertor::convert( UtcDate() ) ) {}

## operator!=()

bool FIX::UtcTimeStampField::operator!= | ( | const UtcTimeStampField & | rhs | ) | const

inline

Definition at line 482 of file Field.h.

{ return UtcDateConvertor::convert( getString() ); }
catch( FieldConvertError& )

References FIX::UtcDateConvertor::convert(), and FIX::FieldBase::getString().

## operator<()

bool FIX::UtcTimeStampField::operator< | ( | const UtcTimeStampField & | rhs | ) | const

inline

Definition at line 478 of file Field.h.

{ setString( UtcDateConvertor::convert( value ) ); }

References FIX::UtcDateConvertor::convert(), and FIX::FieldBase::setString().

## operator==()

bool FIX::UtcTimeStampField::operator== | ( | const UtcTimeStampField & | rhs | ) | const

inline

Definition at line 480 of file Field.h.

{ try

## setValue()

void FIX::UtcTimeStampField::setValue | ( | const UtcTimeStamp & | value | ) |

inline

Definition at line 468 of file Field.h.

: public FieldBase

The documentation for this class was generated from the following file:

- Field.h

FIX::TYPE::UtcDate
@ UtcDate
Definition: FieldTypes.h:948
FIX::UtcTimeStampField::getValue
UtcTimeStamp getValue() const
Definition: Field.h:470
FIX::UtcDateConvertor::convert
static std::string convert(const UtcDate &value)
Definition: FieldConvertors.h:652
FIX::FieldBase::setString
void setString(const std::string &string)
Definition: Field.h:170
FIX::FieldBase::FieldBase
FieldBase(int tag, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:114
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:186